gtkicon-theme.h File Reference
`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme.h"`

Go to the source code of this file.

## Data Structures

struct | _PidginIconTheme
struct | _PidginIconThemeClass

## Macros

#define | PIDGIN_TYPE_ICON_THEME (pidgin_icon_theme_get_type ())
#define | PIDGIN_ICON_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_ICON_THEME, PidginIconTheme))
#define | PIDGIN_ICON_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_ICON_THEME, PidginIconThemeClass))
#define | PIDGIN_IS_ICON_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_ICON_THEME))
#define | PIDGIN_IS_ICON_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_ICON_THEME))
#define | PIDGIN_ICON_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_ICON_THEME, PidginIconThemeClass))

## Typedefs

typedef struct _PidginIconTheme | PidginIconTheme
| extends PurpleTheme (theme.h) A pidgin icon theme. More...
typedef struct _PidginIconThemeClass | PidginIconThemeClass

## Functions

Pidgin Icon Theme API
G_BEGIN_DECLS GType | pidgin_icon_theme_get_type (void)
| GObject foo.
const gchar * | pidgin_icon_theme_get_icon (PidginIconTheme *theme, const gchar *event)
| Returns a copy of the filename for the icon event or NULL if it is not set. More...
void | pidgin_icon_theme_set_icon (PidginIconTheme *theme, const gchar *icon_id, const gchar *filename)
| Sets the filename for a given icon id, setting the icon to NULL will remove the icon from the theme. More...

## Detailed Description

Pidgin Icon Theme Class API

Definition in file gtkicon-theme.h.

## Typedef Documentation

## PidginIconTheme

typedef struct _PidginIconTheme PidginIconTheme

extends PurpleTheme (theme.h) A pidgin icon theme.

This object represents a Pidgin icon theme.

PidginIconTheme is a PurpleTheme Object.

Definition at line 40 of file gtkicon-theme.h.

## Function Documentation

## pidgin_icon_theme_get_icon()

const gchar* pidgin_icon_theme_get_icon | ( | PidginIconTheme * | theme,
|  | const gchar * | event
| ) |  |

Returns a copy of the filename for the icon event or NULL if it is not set.

Parameters

  theme | the theme
  event | the pidgin icon event to look up

Returns
  the filename of the icon event

## pidgin_icon_theme_set_icon()

void pidgin_icon_theme_set_icon | ( | PidginIconTheme * | theme,
|  | const gchar * | icon_id,
|  | const gchar * | filename
| ) |  |

Sets the filename for a given icon id, setting the icon to NULL will remove the icon from the theme.

Parameters

  theme | the theme
  icon_id | a string representing what the icon is to be used for
  filename | the name of the file to be used for the given id